<?php

namespace xenarabia\usermood;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1()
    {
        $this->schemaManager()->alterTable('xf_user', function(Alter $table)
        {
            $table->addColumn('mood_id', 'int');
        });
	}
	
	public function installStep2()
    {
        $this->schemaManager()->createTable('xf_usermood', function(\XF\Db\Schema\Create $table)
		{
			$table->addColumn('mood_id', 'int')->autoIncrement();
			$table->addColumn('mood_name', 'varchar', 255);
			$table->addColumn('mood_pic', 'varchar', 255);
			$table->addColumn('mood_act', 'int')->setDefault(0);
		});
	}


	public function installStep3()
	{
		$this->db()->query("
		INSERT INTO `xf_usermood` (`mood_id`, `mood_name`, `mood_pic`, `mood_act`)
		 VALUES
		(1, 'سعيد', 'happy.gif', 1),
		(2, 'فلة', 'cool.gif', 1),
		(3, 'غاضب', 'angry.gif', 1),
		(4, 'حزين', 'sad.gif', 1),
		(5, 'مريض', 'sick.gif', 1),
		(6, 'مذهول', 'surprised.gif', 1);
		");
	}

	
	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->alterTable('xf_user', function(Alter $table)
		{
			$table->dropColumns('mood_id', 'int');
		});

		$this->schemaManager()->dropTable('xf_usermood');
		
	}
}